@import 'vars';
$main-color: #71CA9A;

.transformationDao {
  font-family: 'Poppins';
}

.discordButton {
  background: #00BFD3 !important;
}

.footer {
  height: 97px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-right: 0;
  font-style: normal;
  font-weight: 800;
  font-size: 21px;
  line-height: 26px;
  letter-spacing: 0.02em;
  color: $c-white;

  @media (min-width: 768px) {
    justify-content: end;
    padding-right: 57px;
  }

  .footerLink {
    color: $c-white;
  }
}

.upperContainer {
  position: relative;
  width: 100%;
  margin: 20px auto 27px;
  height: 260px;
  z-index: 0;
  
  @media (min-width: 340px) {
    height: 342px;
    max-width: 342px;
    margin: 45px auto 47px;
  }

  @media (min-width: 768px) {
    margin: 45px 0 50px;
    height: 438px;
    max-width: 438px;
  }
}

.lowerContainer {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 342px;
  border: 3px solid $main-color;
  box-shadow: 0px 0px 50px rgba(255, 255, 255, 0.15);
  padding: 0 30px 28px;
  
  @media (min-width: 768px) {
    width: 538px;
    max-width: 538px;
    padding: 0 51px 26px;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}
.inputData {
  background-color: $c-white;
  box-sizing: border-box;
  width: 100%;
  height: 50px;
  border-radius: 15px;
  border: 0;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #052152;
  text-shadow: 0px 2px 50px $c-white;

  @media (min-width: 768px) {
    font-size: 16px;
    height: 65px;
    padding: 0 0 0 28px;
  }

  &:disabled {
    cursor: not-allowed;
    opacity: 0.5;

    &::placeholder {
      letter-spacing: 0.02em;
      color: rgba(2, 12, 30, 0.5);
      text-shadow: 0px 2px 50px $c-white;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
    font-size: 12px;
    line-height: 18px;

    @media (min-width: 768px) {
      font-size: 16px;
      line-height: 24px;
    }
  }

}

.status {
  position: absolute;
  font-family: 'Poppins';
  font-style: normal;
  top: -32px;
  font-weight: 700;
  font-size: 12px;
  line-height: 18px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 18px;
    top: -40px;
  }
}

.relativeWrapper {
  position: relative;
  width: 100%;
}

.buttonWrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin-top: 28px;
  @media (min-width: 768px) {
    margin-top: 46px;
  }
}
.button {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 17px;
    line-height: 26px;
    text-align: center;
    letter-spacing: 0.02em;
    color: black;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0 0 10px 0;
  background-color: $main-color !important;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  text-transform: uppercase;
  width: 100%;
  height: 50px;
  padding: 0 17px;
  border-radius: 15px;

  @media (min-width: 768px) {
    width: 100%;
    min-width: 347.81px;
    height: 65px;
    font-size: 18px;
    line-height: 27px;
  }

  &:disabled {
    opacity: 0.5;
    cursor: not-allowed;
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 12px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 18px;
    right: 31.2px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}
.slider {
  width: 100%;
  margin-top: 22px;
  background-color: transparent;
  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    margin-top: 41px;
  }

  :global(.rc-slider-handle) {
    width: 21px !important;
    height: 21px !important;
  }
}
.sliderInfo {
  margin: 0;
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 10px;
  padding: 0;
  color: rgba(255, 255, 255, 0.5);
  font-style: italic;
}
.withdrawals {
  position: relative;
  margin: 19px 0 0;
  font-style: normal;
  font-weight: 800;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.02em;
  text-align: center;
  color: $c-white;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    margin-bottom: 0;
  }
}

.indicatorContainer {
  position: absolute;
  bottom: -100px;
  display: grid;
  column-gap: 20px;
  
  div {
    grid-row: 1; 
    width: 19px;
    height: 19px;
    border-radius: 100%;
    margin-bottom: 28px;
  }

  @media (min-width: 210px) {
    column-gap: 44px;
    div {
      width: 29.85px;
      height: 29.85px;
    }
  }

  @media (min-width: 768px) {
    display: block;
    right: -78px;
    bottom: auto;
    width: 29.85px;
    height: 29.85px;
    padding-top: 44px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
    }
  }
  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}
.container {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    max-width: 100%;
    margin: 0 auto 0 auto;
  }
  .description {
    width: 45%;
    margin-right: 10%;
    .title {
      margin-top: 0;
    }
    .paragraph {
      display: flex;
      flex-direction: column;
      font-size: 24px;
      font-weight: 300;
      .mintText {
        color: #04dfc7;
        font-weight: bolder;
      }
    }
  }
  .details {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0px 20px 57px;

    .row {
      padding-bottom: 30px;
      display: flex;
      flex-direction: column;
      .rowTitle {
        color: #1f6fe5;
        font-weight: bold;
        font-size: 20px;
        margin-bottom: 10px;
      }
      .rowValue {
        color: black;
        font-weight: 500;
        font-size: 22px;
      }
    }

    @media (min-width: 768px) {
      width: 55%;
      padding: 0 0 0 0;
    }
  }
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
}
.connect {
  width: 100%;
  button {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 27px;
    text-align: center;
    letter-spacing: 0.02em;
    color: black;
    border: 0;
    text-transform: uppercase;
    background: $main-color;
    border-radius: 15px;
    width: 100%;
    height: 50px;
    margin-bottom: 18px;

    &:hover {
      color: black;
    }

    @media (min-width: 768px) {
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}
.loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 99;
  opacity: 0.9;
}
.specialMessage {
  margin-top: 14px;
  color: gold;
  text-align: center;
}

.actionButton {
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 27px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: black;
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  background: #FF9500;
  border-radius: 15px;

    @media (min-width: 768px) {
      width: 100%;
      min-width: 347.81px;
      height: 65px;
    }
}

.successTitle {
  margin-top: 31px;
  margin-bottom: 0;
  font-style: normal;
  font-weight: 900;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.1em;
}

.successDescription {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  text-align: center;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  letter-spacing: 0.42px;
}

@media (min-width: 768px) {
  .successTitle {
    margin: 0;
    margin-top: 37px;
    font-family: 'Poppins';
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 46px;
  }

  .successDescription {
    margin: 0;
    margin-top: 6px;
    color: #FFF;
    font-size: 21px;
  }
}

.numberInputLabel {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.02em;
  color: $c-white;
  margin: 32px 0 16px;
}

.tooltipPosition {
  position: absolute;
  display: block;
  bottom: 177px;
  right: 0px;
  background-color: red;
  
  @media (min-width: 336px) {
    bottom: 157px;
    right: 0px;
  }

  @media (min-width: 768px) {
    bottom: 45px;
    right: -12px;
  }
}

.tooltipBoldText {
  font-weight: 700;
  font-size: 12px;
  line-height: 15px;
  letter-spacing: 0.02em;
  color: #2e2b26;
  text-shadow: 0px 2px 50px #ffffff;
}

.walletInputNotConnected {
  margin-bottom: 20px;
}

.walletInput {
  margin-top: 41px;    
  width: 100%;

  div {
    position: relative;
    img {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 100px;
      height: 100px;
    }
  }

  input[type='text'] {
    margin-top: 10px;
    background-color: $c-white;
    box-sizing: border-box;
    width: 100%;
    height: 42px;
    border-radius: 15px;
    border: 0;
    font-weight: 500;
    font-family: Montserrat;
    font-style: normal;
    line-height: 22px;
    font-size: 10px;
    letter-spacing: 0.02em;
    padding-left: 11px;
    color: #052152;
    text-shadow: 0px 2px 50px #ffffff;
    font-size: 10px;
    margin-bottom: 5px;

    &:disabled {
      color: #585a5e;
      cursor: not-allowed;
      background-color: $c-alto;

      &::placeholder {
        color: #c0bebe;
      }
    }
    &:focus,
    &:focus-visible {
      border: 0;
      outline: 0;
    }

    &::placeholder {
      color: rgba(2, 12, 30, 0.5);
    }

    @media (min-width: 768px) {
      font-size: 12px;
      height: 45px;
      width: 100%;
      padding: 0px 0 0px 10px;
    }
  }
}

.tooltipContent {
  background-color: #7a7a7a !important;
  letter-spacing: 0.28px;
  color: $c-white !important;
}

.tooltipBoldText {
  font-weight: 700;
  font-size: 12px;
  line-height: 15px;
  letter-spacing: 0.02em;
  text-shadow: 0px 2px 50px #ffffff;
  color: #FFF;
}